#!/bin/bash

# LibreSchool project - info@libreschool.org
# Install AIR SDK and run AIR application from there.

echo 1
echo "1 - Installing dependencies" &> /tmp/ls-air-installer.log
# Installing depending packages
apt-get install -y libgtk2.0-0:i386 libstdc++6:i386 libxml2:i386 libxslt1.1:i386 libcanberra-gtk-module:i386 gtk2-engines-murrine:i386 libqt4-qt3support:i386 libgnome-keyring0:i386 libnss-mdns:i386 libnss3:i386 &>> /tmp/ls-air-installer.log
echo 25
echo "25 - Linking libraries" &>> /tmp/ls-air-installer.log
ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0 &>> /tmp/ls-air-installer.log
ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0 &>> /tmp/ls-air-installer.log
echo 30
echo "30 - Downloading AIR SDK" &>> /tmp/ls-air-installer.log
wget --no-check-certificate https://airdownload.adobe.com/air/lin/download/2.6/AdobeAIRSDK.tbz2 -O /tmp/AdobeAIRSDK.tbz2 &>> /tmp/ls-air-installer.log
echo 50
echo "50 - Directory for AIR SDK" &>> /tmp/ls-air-installer.log
mkdir -p /opt/adobe-air-sdk &>> /tmp/ls-air-installer.log
echo 55
echo "55 - Unpacking AIR SDK" &>> /tmp/ls-air-installer.log
# Installing SDK
tar jxf /tmp/AdobeAIRSDK.tbz2 -C /opt/adobe-air-sdk &>> /tmp/ls-air-installer.log
rm -f /tmp/AdobeAIRSDK.tbz2 &>> /tmp/ls-air-installer.log
echo 75
echo "75 - Downloading AIR wrapper" &>> /tmp/ls-air-installer.log
# Installing wrapper for SDK to run AIR simply
wget --no-check-certificate https://aur.archlinux.org/cgit/aur.git/snapshot/adobe-air.tar.gz -O /tmp/adobe-air.tar.gz &>> /tmp/ls-air-installer.log
echo 85
echo "85 - Unpacking AIR wrapper" &>> /tmp/ls-air-installer.log
tar xzf /tmp/adobe-air.tar.gz -C /opt/adobe-air-sdk &>> /tmp/ls-air-installer.log
rm -f /tmp/adobe-air.tar.gz &>> /tmp/ls-air-installer.log
echo 95
echo "95 - Finishing" &>> /tmp/ls-air-installer.log
chmod +x /opt/adobe-air-sdk/adobe-air/adobe-air &>> /tmp/ls-air-installer.log
touch /opt/scratch/.air-installed &>> /tmp/ls-air-installer.log
echo 100
