#!/bin/bash

# LibreSchool project - info@libreschool.org
# This wrapper permits to download and install Adobe Air runtime with user
# consent

if [[ -f /opt/scratch/.air-installed ]]; then
    # Run Scratch
    /opt/adobe-air-sdk/adobe-air/adobe-air /opt/scratch/Scratch.air
else
    zenity --info --icon-name=info --text 'Sembra che in questo sistema non sia installato Adobe AIR, necessario per eseguire Scratch 2.\nPrego <a href="https://labs.adobe.com/technologies/eula/airsdk.html">leggere ed aderire</a> ai termini di licenza di Adobe AIR.' --no-wrap
    
    # Ask the user for the final acceptance.
    zenity --question --text 'Accettare la <a href="https://labs.adobe.com/technologies/eula/airsdk.html">licenza di Adobe AIR SDK</a>?\n\nSe la licenza non viene accettata, sarà impossibile eseguire Scratch 2.' --default-cancel --no-wrap
    if [[ $? -eq 1 ]]; then
        exit
    else
        pkexec /opt/scratch/air-installer.sh | zenity --progress --text 'Installazione e configurazione di Adobe AIR in corso...' --auto-close --no-cancel --auto-kill --percentage=1

	(( $? != 0 )) && zenity --error --text 'Errore in fase di configurazione di Adobe AIR.' && exit 1 || zenity --info --text "L'installazione è andata a buon fine.\nPrego rilanciare Scratch per avviare effettivamente l'applicazione." --no-wrap
    fi
fi
